#ifndef ROLLBACK_H
#define ROLLBACK_H

#include <QThread>
#include <QPointer>
#include <QSemaphore>
#include "fmp_database.h"



class RollBack : public QThread
{
    Q_OBJECT
public:
    RollBack(QObject *parent = 0);
    ~RollBack();

    void RollWiteQuery(QSqlQuery &query);

    void run();

private:
    FMPDataBase *_db;
    QSemaphore _spr;
};

#endif // ROLLBACK_H
